package com.bwie.question.controller;

import com.bwie.common.domain.Question;
import com.bwie.question.service.QuestionService;
import com.bwie.common.result.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author：weiran
 * @Package：com.bwie.question.controller
 * @Project：week3
 * @name：QuestionController
 * @Date：2024/8/7 18:39
 */

@RequestMapping("/question")
@RestController
public class QuestionController {
    @Autowired
    private QuestionService questionService;


    /**
     * 查询列表
     */
    @PostMapping("/list")
    public Result findlist(){
        return Result.success(questionService.findlist());
    }
}
